インシデント解決
PUT /dashboard/services/{id}/incidents/{incidentId}/resolve
PUT
/dashboard/services/{id}/incidents/{incidentId}/resolve
インシデントを resolved にし resolvedAt を記録する。
既に resolved のインシデントは変更不可。
リクエストボディは任意で、cause を含めると原因を上書きする
(ボディ無し・不正な JSON でも解決処理は続行する)。
解決後に通知キューへ incident.resolved を送信する。
キュー送信に失敗しても解決自体は成功扱い (200) で、notificationSent: false
と warnings で通知する。
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
サービス ID
incidentId
required
string
インシデント ID
Request Body
Section titled “Request Body ”object
cause
解決理由。文字列以外は無視される
string
Responses
Section titled “ Responses ”解決済みに変更
object
incident
object
id
string
monitorId
string
teamId
string
type
string
status
string
title
string
startedAt
string format: date-time
resolvedAt
string format: date-time
cause
string
serviceId
Service ID the incident is displayed on
string
createdAt
string format: date-time
notificationSent
通知キューへの送信に成功したか
boolean
warnings
解決は成功したが付随処理に失敗した場合の警告
Array<object>
主処理は成功したが付随処理 (通知送信など) に失敗したことを示す警告。 正本は apps/api/src/routes/incidents.ts の ApiWarning インターフェース。
object
code
string
Example
NOTIFICATION_SEND_FAILED message
string
Example
Failed to send notification既に resolved 済みのインシデント
object
error
object
code
string
Example
VALIDATION_ERROR message
string
Example
Invalid request body status
integer
Example
400 upgradeUrl
URL to upgrade plan (only present for plan limit errors)
string
Example
https://app.manako.dev/billingインシデントが見つからない
object
error
object
code
string
Example
VALIDATION_ERROR message
string
Example
Invalid request body status
integer
Example
400 upgradeUrl
URL to upgrade plan (only present for plan limit errors)
string
Example
https://app.manako.dev/billing